Qwt User's Guide 5.2.3

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
QwtScaleArithmetic Class Reference

`#include <qwt_scale_engine.h>`

List of all members.

## Static Public Member Functions
static double | ceil125 (double x)
static double | ceilEps (double value, double intervalSize)
static int | compareEps (double value1, double value2, double intervalSize)
static double | divideEps (double interval, double steps)
static double | floor125 (double x)
static double | floorEps (double value, double intervalSize)

## Detailed Description

Arithmetic including a tolerance.

## Member Function Documentation

double QwtScaleArithmetic::ceil125 | ( | double | x | ) |
| static

Find the smallest value out of {1,2,5}*10^n with an integer number n which is greater than or equal to x

Parameters:

  x | Input value

double QwtScaleArithmetic::ceilEps | ( | double | value,
|  | double | intervalSize
| ) |  |
| static

Ceil a value, relative to an interval

Parameters:

  value | Value to ceil
  intervalSize | Interval size

See also:
  floorEps()

int QwtScaleArithmetic::compareEps | ( | double | value1,
|  | double | value2,
|  | double | intervalSize
| ) |  |
| static

Compare 2 values, relative to an interval.

Values are "equal", when :

Parameters:

  value1 | First value to compare
  value2 | Second value to compare
  intervalSize | interval size

Returns:
  0: if equal, -1: if value2 > value1, 1: if value1 > value2

double QwtScaleArithmetic::divideEps | ( | double | intervalSize,
|  | double | numSteps
| ) |  |
| static

Divide an interval into steps.

Parameters:

  intervalSize | Interval size
  numSteps | Number of steps

Returns:
  Step size

double QwtScaleArithmetic::floor125 | ( | double | x | ) |
| static

Find the largest value out of {1,2,5}*10^n with an integer number n which is smaller than or equal to x.

Parameters:

  x | Input value

double QwtScaleArithmetic::floorEps | ( | double | value,
|  | double | intervalSize
| ) |  |
| static

Floor a value, relative to an interval

Parameters:

  value | Value to floor
  intervalSize | Interval size

See also:
  floorEps()